import c4d
from c4d import gui, bitmaps

def main():
    
    # controlla se hai selezionato qualcosa
    if  not op:
        print "Selezionare un oggetto Piano"
        gui.MessageDialog("Selezionare un oggetto Piano")
        return
    # controlla se hai selezionato un oggetto Piano
    elif op.GetType()!=5168:
        print "Selezionare un oggetto Piano"
        gui.MessageDialog("Selezionare un oggetto Piano")
        return
    # controlla se l'oggetto selezionatoha una texture
    elif not op.GetTag(c4d.Ttexture):
        print "All'oggetto Piano non è assegnato alcun materiale"
        gui.MessageDialog("All'oggetto Piano non è assegnato alcun materiale")
    else:
    # leggi path texture
        path = op.GetTag(c4d.Ttexture)[c4d.TEXTURETAG_MATERIAL][c4d.MATERIAL_COLOR_SHADER][c4d.BITMAPSHADER_FILENAME]
        print "path: "+path
        # assegna la texture ad una nuova bitmap
        bmp = bitmaps.BaseBitmap(path) 
        bmp.InitWith(path) 
    
        # leggi i valori x y della texture
        x, y = bmp.GetSize() 
    
        print x
        print y
      
        # assegna al Piano i valori letti
        op[c4d.PRIM_PLANE_WIDTH] = x
        op[c4d.PRIM_PLANE_HEIGHT] = y
        op[c4d.PRIM_PLANE_SUBW] = 1
        op[c4d.PRIM_PLANE_SUBH] = 1
        
        
        c4d.EventAdd() 
        
        return

if __name__=='__main__':
    main()